New Demand 5 app released for iPhone and iPad - Monday 13th July 2015

Monday 13th July 2015

The Demand 5 application for iPhone and iPad has been updated this morning. The new version is now available for download via the App store.

The new version of the app now includes:

  • Redesigned video player
  • Subtitles
  • Audio Description

Minimum iOS version

You'll need to be running iOS version 7 or higher to install the app and enjoy these new features. Please follow these simple steps to upgrade iOS on your iPhone or iPad.

Problems?

If you have any problems watching shows, please try the following: